diff --git a/app/views/help/wiki_syntax/textile/pt-br/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/pt-br/wiki_syntax_textile.html.erb
index 1e57f604d..60c44f7d0 100644
--- a/app/views/help/wiki_syntax/textile/pt-br/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/pt-br/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Estilos de Fonte <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">*Negrito*</td><td style="width:50%;"><strong>Negrito</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>_It&aacute;lico_</td><td><em>It&aacute;lico</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Underline" }) %></th><td>+Sublinhado+</td><td><ins>Sublinhado</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>-Tachado-</td><td><del>Tachado</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">*Negrito*</td><td style="width:50%;"><strong>Negrito</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>_It&aacute;lico_</td><td><em>It&aacute;lico</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Underline" }) %></th><td>+Sublinhado+</td><td><ins>Sublinhado</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>-Tachado-</td><td><del>Tachado</del></td></tr>
 <tr><th></th><td>??Cita&ccedil;&atilde;o??</td><td><cite>Cita&ccedil;&atilde;o</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>@C&oacute;digo Inline@</td><td><code>C&oacute;digo Inline</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>&lt;pre&gt;<br />&nbsp;linhas<br />&nbsp;de c&oacute;digo<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>@C&oacute;digo Inline@</td><td><code>C&oacute;digo Inline</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;linhas<br />&nbsp;de c&oacute;digo<br />&lt;/pre&gt;</td><td>
 <pre>
  linhas
  de c&oacute;digo
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">Listas</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* Item 1<br />** Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td># Item 1<br />## Sub<br /># Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* Item 1<br />** Sub<br />* Item 2</td><td><ul><li>Item 1<ul><li>Sub</li></ul></li><li>Item 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td># Item 1<br />## Sub<br /># Item 2</td><td><ol><li>Item 1<ol><li>Sub</li></ol></li><li>Item 2</li></ol></td></tr>
 
 <tr><th colspan="3">Cabe&ccedil;alhos <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td>h1. T&iacute;tulo 1</td><td><h1>T&iacute;tulo 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>h2. T&iacute;tulo 2</td><td><h2>T&iacute;tulo 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>h3. T&iacute;tulo 3</td><td><h3>T&iacute;tulo 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td>h1. T&iacute;tulo 1</td><td><h1>T&iacute;tulo 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>h2. T&iacute;tulo 2</td><td><h2>T&iacute;tulo 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>h3. T&iacute;tulo 3</td><td><h3>T&iacute;tulo 3</h3></td></tr>
 
 <tr><th colspan="3">Links <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Links do Redmine <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[P&aacute;gina Wiki]]</td><td><a href="#">P&aacute;gina Wiki</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[P&aacute;gina Wiki]]</td><td><a href="#">P&aacute;gina Wiki</a></td></tr>
 <tr><th></th><td>Tarefa #12</td><td>Tarefa <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: T&iacute;tulo da tarefa</td></tr>
 <tr><th></th><td>Revis&atilde;o r43</td><td>Revis&atilde;o <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:algum/arquivo</td><td><a href="#">source:algum/arquivo</a></td></tr>
 
 <tr><th colspan="3">Imagens inline <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>!<em>url_da_imagem</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>!<em>url_da_imagem</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>imagem_anexada</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Tabelas</th></tr>
diff --git a/app/views/help/wiki_syntax/textile/ru/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/ru/wiki_syntax_textile.html.erb
index a46c39122..58157f2a3 100644
--- a/app/views/help/wiki_syntax/textile/ru/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/ru/wiki_syntax_textile.html.erb
@@ -14,24 +14,24 @@
         <th colspan="3">Стили Шрифтов <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Выделенный" }) %></th>
+        <th><%= image_tag("jstoolbar/bold.svg", { alt: "Выделенный" }) %></th>
         <td style="width:50%;">*Выделенный*</td>
         <td style="width:50%;"><strong>Выделенный</strong></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_em.png", { alt: "Наклонный" }) %></th>
+        <th><%= image_tag("jstoolbar/italic.svg", { alt: "Наклонный" }) %></th>
         <td>_Наклонный_</td>
         <td><em>Наклонный</em></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Подчёркнутый" }) %></th>
+        <th><%= image_tag("jstoolbar/underline.svg", { alt: "Подчёркнутый" }) %></th>
         <td>+Подчёркнутый+</td>
         <td>
             <ins>Подчёркнутый</ins>
         </td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_del.png", { alt: "Зачёркнутый" }) %></th>
+        <th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Зачёркнутый" }) %></th>
         <td>-Зачёркнутый-</td>
         <td>
             <del>Зачёркнутый</del>
@@ -43,12 +43,12 @@
         <td><cite>Цитата</cite></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_code.png", { alt: "Вставка Кода" }) %></th>
+        <th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Вставка Кода" }) %></th>
         <td>@Вставка Кода@</td>
         <td><code>Вставка Кода</code></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Отформатированный текст" }) %></th>
+        <th><span class="syntax-pre"/></th>
         <td>&lt;pre&gt;<br/>&nbsp;строки<br/>&nbsp;кода<br/>&lt;/pre&gt;</td>
         <td>
             <pre>
@@ -59,7 +59,7 @@
     </tr>
 
 <tr><th colspan="3">Highlighted code <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -67,23 +67,23 @@
 </td></tr>
 
 <tr><th colspan="3">Списки</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Несортированный список" }) %></th><td>* Элемент 1<br />** Подэлемент<br />* Элемент 2</td><td><ul><li>Элемент 1<ul><li>Подэлемент</li></ul></li><li>Элемент 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Сортированный список" }) %></th><td># Элемент 1<br />## Подэлемент<br /># Элемент 2</td><td><ol><li>Элемент 1<ol><li>Подэлемент</li></ol></li><li>Элемент 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Несортированный список" }) %></th><td>* Элемент 1<br />** Подэлемент<br />* Элемент 2</td><td><ul><li>Элемент 1<ul><li>Подэлемент</li></ul></li><li>Элемент 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Сортированный список" }) %></th><td># Элемент 1<br />## Подэлемент<br /># Элемент 2</td><td><ol><li>Элемент 1<ol><li>Подэлемент</li></ol></li><li>Элемент 2</li></ol></td></tr>
     <tr>
         <th colspan="3">Заголовки <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Заголовок 1" }) %></th>
+        <th><%= image_tag("jstoolbar/h1.svg", { alt: "Заголовок 1" }) %></th>
         <td>h1. Название 1</td>
         <td><h1>Название 1</h1></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Заголовок 2" }) %></th>
+        <th><%= image_tag("jstoolbar/h2.svg", { alt: "Заголовок 2" }) %></th>
         <td>h2. Название 2</td>
         <td><h2>Название 2</h2></td>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Заголовок 3" }) %></th>
+        <th><%= image_tag("jstoolbar/h3.svg", { alt: "Заголовок 3" }) %></th>
         <td>h3. Название 3</td>
         <td><h3>Название 3</h3></td>
     </tr>
@@ -104,7 +104,7 @@
         <th colspan="3">Ссылки Redmine <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_link.png", { alt: "Ссылка на Wiki страницу" }) %></th>
+        <th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Ссылка на Wiki страницу" }) %></th>
         <td>[[Wiki страница]]</td>
         <td><a href="#">Wiki страница</a></td>
     </tr>
@@ -133,7 +133,7 @@
         <th colspan="3">Вставка изображений <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th>
     </tr>
     <tr>
-        <th><%= image_tag("jstoolbar/bt_img.png", { alt: "Изображение" }) %></th>
+        <th><%= image_tag("jstoolbar/image.svg", { alt: "Изображение" }) %></th>
         <td>!<em>url_картинки</em>!</td>
         <td></td>
     </tr>
diff --git a/app/views/help/wiki_syntax/textile/ta-in/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/ta-in/wiki_syntax_textile.html.erb
index ade206069..406c72089 100644
--- a/app/views/help/wiki_syntax/textile/ta-in/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/ta-in/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">எழுத்துரு பாங்குகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">மேலும்</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Strong" }) %></th><td style="width:50%;">*வலுவான*</td><td style="width:50%;"><strong>வலுவான</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Italic" }) %></th><td>_சாய்வு_</td><td><em>சாய்வு</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Underline" }) %></th><td>+அடிக்கோடிட்டு+</td><td><ins>அடிக்கோடிட்டு</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Deleted" }) %></th><td>-நீக்கப்பட்டது-</td><td><del>நீக்கப்பட்டது</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Strong" }) %></th><td style="width:50%;">*வலுவான*</td><td style="width:50%;"><strong>வலுவான</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Italic" }) %></th><td>_சாய்வு_</td><td><em>சாய்வு</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Underline" }) %></th><td>+அடிக்கோடிட்டு+</td><td><ins>அடிக்கோடிட்டு</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Deleted" }) %></th><td>-நீக்கப்பட்டது-</td><td><del>நீக்கப்பட்டது</del></td></tr>
 <tr><th></th><td>??மேற்கோள்??</td><td><cite>மேற்கோள்</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Inline code" }) %></th><td>@இன்லைன் குறியீடு@</td><td><code>இன்லைன் குறியீடு</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Preformatted text" }) %></th><td>&lt;pre&gt;<br />&nbsp;கோடுகள்<br />&nbsp;குறியீடு<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Inline code" }) %></th><td>@இன்லைன் குறியீடு@</td><td><code>இன்லைன் குறியீடு</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;கோடுகள்<br />&nbsp;குறியீடு<br />&lt;/pre&gt;</td><td>
 <pre>
  கோடுகள்
  குறியீடு
@@ -25,7 +25,7 @@
 </td></tr>
 
 <tr><th colspan="3">சிறப்பம்சமாக குறியீடு <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">மேலும்</a>) | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Highlighted code" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -33,20 +33,20 @@
 </td></tr>
 
 <tr><th colspan="3">பட்டியல்கள்</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Unordered list" }) %></th><td>* பொருள் 1<br />** துணை<br />* பொருள் 2</td><td><ul><li>பொருள் 1<ul><li>துணை</li></ul></li><li>பொருள் 2</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Ordered list" }) %></th><td># பொருள் 1<br />## துணை<br /># பொருள் 2</td><td><ol><li>பொருள் 1<ol><li>துணை</li></ol></li><li>பொருள் 2</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Unordered list" }) %></th><td>* பொருள் 1<br />** துணை<br />* பொருள் 2</td><td><ul><li>பொருள் 1<ul><li>துணை</li></ul></li><li>பொருள் 2</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Ordered list" }) %></th><td># பொருள் 1<br />## துணை<br /># பொருள் 2</td><td><ol><li>பொருள் 1<ol><li>துணை</li></ol></li><li>பொருள் 2</li></ol></td></tr>
 
 <tr><th colspan="3">தலைப்புகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">மேலும்</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Heading 1" }) %></th><td>h1. தலைப்பு 1</td><td><h1>தலைப்பு 1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Heading 2" }) %></th><td>h2. தலைப்பு 2</td><td><h2>தலைப்பு 2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Heading 3" }) %></th><td>h3. தலைப்பு 3</td><td><h3>தலைப்பு 3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Heading 1" }) %></th><td>h1. தலைப்பு 1</td><td><h1>தலைப்பு 1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Heading 2" }) %></th><td>h2. தலைப்பு 2</td><td><h2>தலைப்பு 2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Heading 3" }) %></th><td>h3. தலைப்பு 3</td><td><h3>தலைப்பு 3</h3></td></tr>
 
 <tr><th colspan="3">இணைப்புகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">மேலும்</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine இணைப்புகள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">மேலும்</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Link to a Wiki page" }) %></th><td>[[Wiki page]]</td><td><a href="#">Wiki page</a></td></tr>
 <tr><th></th><td>சிக்கல்கள் #12</td><td>சிக்கல்கள் <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>திருத்தம் r43</td><td>திருத்தம் <a href="#">r43</a></td></tr>
@@ -54,7 +54,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">இன்லைன் படங்கள் <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">மேலும்</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Image" }) %></th><td>!<em>படம்_url</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Image" }) %></th><td>!<em>படம்_url</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>இணைக்கப்பட்ட_படம்</em>!</td><td></td></tr>
 
 <tr><th colspan="3">அட்டவணை</th></tr>
diff --git a/app/views/help/wiki_syntax/textile/uk/wiki_syntax_textile.html.erb b/app/views/help/wiki_syntax/textile/uk/wiki_syntax_textile.html.erb
index 62fbfe5c0..d276659aa 100644
--- a/app/views/help/wiki_syntax/textile/uk/wiki_syntax_textile.html.erb
+++ b/app/views/help/wiki_syntax/textile/uk/wiki_syntax_textile.html.erb
@@ -11,13 +11,13 @@
 
 <table style="width:100%">
 <tr><th colspan="3">Cтилі шрифтів <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "5") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_strong.png", { alt: "Жирний" }) %></th><td style="width:50%;">*Жирний*</td><td style="width:50%;"><strong>Жирний</strong></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_em.png", { alt: "Курсив" }) %></th><td>_Курсив_</td><td><em>Курсив</em></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ins.png", { alt: "Підкреслений" }) %></th><td>+Підкреслений+</td><td><ins>Підкреслений</ins></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_del.png", { alt: "Закреслений" }) %></th><td>-Закреслений-</td><td><del>Закреслений</del></td></tr>
+<tr><th><%= image_tag("jstoolbar/bold.svg", { alt: "Жирний" }) %></th><td style="width:50%;">*Жирний*</td><td style="width:50%;"><strong>Жирний</strong></td></tr>
+<tr><th><%= image_tag("jstoolbar/italic.svg", { alt: "Курсив" }) %></th><td>_Курсив_</td><td><em>Курсив</em></td></tr>
+<tr><th><%= image_tag("jstoolbar/underline.svg", { alt: "Підкреслений" }) %></th><td>+Підкреслений+</td><td><ins>Підкреслений</ins></td></tr>
+<tr><th><%= image_tag("jstoolbar/strikethrough.svg", { alt: "Закреслений" }) %></th><td>-Закреслений-</td><td><del>Закреслений</del></td></tr>
 <tr><th></th><td>??Цитування??</td><td><cite>Цитування</cite></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_code.png", { alt: "Інлайн код" }) %></th><td>@Інлайн код@</td><td><code>Інлайн код</code></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_pre.png", { alt: "Попередньо відформатований текст" }) %></th><td>&lt;pre&gt;<br />&nbsp;Попередньо<br />&nbsp;відформатований<br />&nbsp;текст<br />&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/letter-c.svg", { alt: "Інлайн код" }) %></th><td>@Інлайн код@</td><td><code>Інлайн код</code></td></tr>
+<tr><th><span class="syntax-pre"/></th><td>&lt;pre&gt;<br />&nbsp;Попередньо<br />&nbsp;відформатований<br />&nbsp;текст<br />&lt;/pre&gt;</td><td>
 <pre>
  Попередньо
  відформатований
@@ -26,7 +26,7 @@
 </td></tr>
 
 <tr><th colspan="3">иділений код <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "13") %>" target="_blank">more</a> | <a href="<%= help_code_highlighting_path %>" target="_blank">supported languages</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_precode.png", { alt: "Виділений код" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
+<tr><th><%= image_tag("jstoolbar/code.svg", { alt: "Виділений код" }) %></th><td>&lt;pre&gt;&lt;code class="ruby"&gt;<br />3.times do<br />&nbsp;&nbsp;puts 'Hello'<br />end<br />&lt;/code&gt;&lt;/pre&gt;</td><td>
 <pre><code class="ruby syntaxhl"><span class="mi">3</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span>
   <span class="nb">puts</span> <span class="s1">'Hello'</span>
 <span class="k">end</span>
@@ -34,20 +34,20 @@
 </td></tr>
 
 <tr><th colspan="3">Списки</th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ul.png", { alt: "Ненумерованний список" }) %></th><td>* Пункт<br />** Підпункт<br />* Пункт</td><td><ul><li>Пункт<ul><li>Підпункт</li></ul></li><li>Пункт</li></ul></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_ol.png", { alt: "Нумерований список" }) %></th><td># Пункт<br />## Підпункт<br /># Пункт</td><td><ol><li>Пункт<ol><li>Підпункт</li></ol></li><li>Пункт</li></ol></td></tr>
+<tr><th><%= image_tag("jstoolbar/list.svg", { alt: "Ненумерованний список" }) %></th><td>* Пункт<br />** Підпункт<br />* Пункт</td><td><ul><li>Пункт<ul><li>Підпункт</li></ul></li><li>Пункт</li></ul></td></tr>
+<tr><th><%= image_tag("jstoolbar/list-numbers.svg", { alt: "Нумерований список" }) %></th><td># Пункт<br />## Підпункт<br /># Пункт</td><td><ol><li>Пункт<ol><li>Підпункт</li></ol></li><li>Пункт</li></ol></td></tr>
 
 <tr><th colspan="3">Заголовоки <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "8") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h1.png", { alt: "Заголовок 1" }) %></th><td>h1. Заголовок 1</td><td><h1>Заголовок&nbsp;1</h1></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h2.png", { alt: "Заголовок 2" }) %></th><td>h2. Заголовок 2</td><td><h2>Заголовок&nbsp;2</h2></td></tr>
-<tr><th><%= image_tag("jstoolbar/bt_h3.png", { alt: "Заголовок 3" }) %></th><td>h3. Заголовок 3</td><td><h3>Заголовок&nbsp;3</h3></td></tr>
+<tr><th><%= image_tag("jstoolbar/h1.svg", { alt: "Заголовок 1" }) %></th><td>h1. Заголовок 1</td><td><h1>Заголовок&nbsp;1</h1></td></tr>
+<tr><th><%= image_tag("jstoolbar/h2.svg", { alt: "Заголовок 2" }) %></th><td>h2. Заголовок 2</td><td><h2>Заголовок&nbsp;2</h2></td></tr>
+<tr><th><%= image_tag("jstoolbar/h3.svg", { alt: "Заголовок 3" }) %></th><td>h3. Заголовок 3</td><td><h3>Заголовок&nbsp;3</h3></td></tr>
 
 <tr><th colspan="3">Лінки(посилання) <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "4") %>" target="_blank">more</a>)</span></th></tr>
 <tr><th></th><td>http://foo.bar</td><td><a href="#">http://foo.bar</a></td></tr>
 <tr><th></th><td>"Foo":http://foo.bar</td><td><a href="#">Foo</a></td></tr>
 
 <tr><th colspan="3">Redmine посилання <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "3") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_link.png", { alt: "Посилання на вікі сторінку" }) %></th><td>[[Вікі сторінка]]</td><td><a href="#">Вікі сторінка</a></td></tr>
+<tr><th><%= image_tag("jstoolbar/wiki_link.svg", { alt: "Посилання на вікі сторінку" }) %></th><td>[[Вікі сторінка]]</td><td><a href="#">Вікі сторінка</a></td></tr>
 <tr><th></th><td>Завдання #12</td><td>Завдання <a href="#">#12</a></td></tr>
 <tr><th></th><td>##12</td><td><a href="#">Bug #12</a>: The issue subject</td></tr>
 <tr><th></th><td>Revision r43</td><td>Revision <a href="#">r43</a></td></tr>
@@ -55,7 +55,7 @@
 <tr><th></th><td>source:some/file</td><td><a href="#">source:some/file</a></td></tr>
 
 <tr><th colspan="3">Вбудоване(inline) зображення <span class="more_info">(<a href="<%= help_wiki_syntax_path(:detailed, anchor: "7") %>" target="_blank">more</a>)</span></th></tr>
-<tr><th><%= image_tag("jstoolbar/bt_img.png", { alt: "Зображення" }) %></th><td>!<em>image_url</em>!</td><td></td></tr>
+<tr><th><%= image_tag("jstoolbar/image.svg", { alt: "Зображення" }) %></th><td>!<em>image_url</em>!</td><td></td></tr>
 <tr><th></th><td>!<em>attached_image</em>!</td><td></td></tr>
 
 <tr><th colspan="3">Таблиці</th></tr>
